AccessControlException (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.security, class: AccessControlException

Package org.apache.hadoop.security

# Class AccessControlException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.hadoop.security.AccessControlException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AuthorizationException`

@Public @Evolving public class AccessControlException extends IOException
An exception class for access control related issues.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessControlException()`
  Default constructor is needed for unwrapping from `RemoteException`.
  `AccessControlException(String s)`
  Constructs an `AccessControlException` with the specified detail message.
  `AccessControlException(Throwable cause)`
  Constructs a new exception with the specified cause and a detail message of `(cause==null ?`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AccessControlException

    public AccessControlException()
    Default constructor is needed for unwrapping from `RemoteException`.

  - ### AccessControlException

    public AccessControlException(String s)
    Constructs an `AccessControlException` with the specified detail message.
    Parameters:
      `s` - the detail message.

  - ### AccessControlException

    public AccessControlException(Throwable cause)
    Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
    Parameters:
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)